getting error oci_connect
Results 1 to 4 of 4

Thread: getting error oci_connect

  1. #1
    Senior Member thread_PHP's Avatar
    Join Date
    Jan 2006
    Posts
    323

    getting error oci_connect

    Fatal error: Call to undefined function oci_connect() in C:\Program Files\Apache Group\Apache2\htdocs\oracleconnect.php on line 2

    PHP Code:
    <?php
    $conn 
    oci_connect('crimecog','test') or die;


    $sql 'BEGIN sayHello(:name, :message); END;';

    $stmt oci_parse($conn,$sql);

    //  Bind the input parameter
    oci_bind_by_name($stmt,':name',$name,32);

    // Bind the output parameter
    oci_bind_by_name($stmt,':message',$message,32);

    // Assign a value to the input 
    $name 'Harry';

    oci_execute($stmt);

    // $message is now populated with the output value
    print "$message\n";
    ?>
    "Speak your truth quietly and clearly, and listen to others, even the dull and ignorant, they too have their story. "

  2. #2
    Pedantic Curmudgeon Weedpacket's Avatar
    Join Date
    Aug 2002
    Location
    General Systems Vehicle "Thrilled To Be Here"
    Posts
    21,910
    Step 1: Read the instructions.
    Step 2: Follow them.
    THERE IS AS YET INSUFFICIENT DATA FOR A MEANINGFUL ANSWER
    FAQs! FAQs! FAQs! Most forums have them!
    Search - Debugging 101 - Collected Solutions - General Guidelines - Getting help at all

  3. #3
    Senior Member thread_PHP's Avatar
    Join Date
    Jan 2006
    Posts
    323
    hi weedpacket
    thank you for your reply i want to use the following procedures functions for my application they are similar to my requirement


    http://www.oracle.com/technology/pub...uecks_sps.html
    "Speak your truth quietly and clearly, and listen to others, even the dull and ignorant, they too have their story. "

  4. #4
    Senior Member thread_PHP's Avatar
    Join Date
    Jan 2006
    Posts
    323
    hi weedpacket
    in the php.ini
    what should i change

    extension=php_oci8.dll
    ;extension=php_openssl.dll
    ;extension=php_pdo.dll
    ;extension=php_pdo_firebird.dll
    ;extension=php_pdo_mssql.dll
    ;extension=php_pdo_mysql.dll
    extension=php_pdo_oci.dll
    extension=php_pdo_oci8.dll
    extension=php_pdo_odbc.dll

    i have made the above changes

    then when i keep this
    extension=php_oci8.dll (removing the apache 2.2 version i am using is not starting

    when i keep like this below in php.ini apache 2.2 is working properly

    ;extension=php_oci8.dll

    extension=php_pdo_oci.dll
    extension=php_pdo_oci8.dll
    extension=php_pdo_odbc.dll

    Hope you understood my problem

    thanks in advance
    "Speak your truth quietly and clearly, and listen to others, even the dull and ignorant, they too have their story. "

Thread Information

Users Browsing this Thread

There are currently 1 users browsing this thread. (0 members and 1 guests)

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •